package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 评论详情表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvCommentDetailDao;
import com.heyu.api.data.entity.vv.VvCommentDetailEntity;
import com.heyu.api.data.service.vv.VvCommentDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvCommentDetailServiceImpl extends ServiceImpl<VvCommentDetailDao, VvCommentDetailEntity> implements VvCommentDetailService {


    @Autowired
	private VvCommentDetailDao vvCommentDetailDao;



	@Override
	public VvCommentDetailEntity selectVvCommentDetailById(Long id){
		return vvCommentDetailDao.selectVvCommentDetailById(id);
	}



	@Override
	public Long insertVvCommentDetail(VvCommentDetailEntity vvCommentDetail){
		return vvCommentDetailDao.insertVvCommentDetail(vvCommentDetail);
	}



	@Override
	public Long insertOrUpdateVvCommentDetail(VvCommentDetailEntity vvCommentDetail){
		return vvCommentDetailDao.insertOrUpdateVvCommentDetail(vvCommentDetail);
	}



	@Override
	public int updateVvCommentDetailById(VvCommentDetailEntity vvCommentDetail){
		return vvCommentDetailDao.updateVvCommentDetailById(vvCommentDetail);
	}



	@Override
	public int updateCoverVvCommentDetailById(VvCommentDetailEntity vvCommentDetail){
		return vvCommentDetailDao.updateCoverVvCommentDetailById(vvCommentDetail);
	}



	@Override
	public int deleteVvCommentDetailById(Long id){
		return vvCommentDetailDao.deleteVvCommentDetailById(id);
	}



}
